- Qt 5.15
- Qt Core
- C++ Classes
- QMetaProperty
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QMetaProperty

The following members of class QMetaProperty are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isEditable(const QObject *object = nullptr) const

## Member Function Documentation

### bool QMetaProperty::isEditable(const QObject *object = nullptr) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns `true` if the property is editable for the given object; otherwise returns `false`.

If no object is given, the function returns `false` if the `Q_PROPERTY()`'s `EDITABLE` attribute is false; otherwise returns true (if the attribute is true or is a function or expression).

See also isDesignable(), isScriptable(), and isStored().